routes/web.php
<?php

use App\Http\Controllers\AccountController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\AgoraRecordingController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\CropImageController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\EventController;
use App\Http\Controllers\LiveEventController;
use App\Http\Controllers\PlaylistController;
use App\Http\Controllers\PresenterController;
use App\Http\Controllers\SubscriberController;
use App\Http\Controllers\VideoController;
use App\Http\Controllers\ActivityController;
use App\Http\Controllers\Presenter\EventController as PresenterEventController;
use App\Http\Controllers\Subscriber\EventController as SubscriberEventController;
use App\Http\Controllers\Subscriber\VideoController as SubscriberVideoController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/version', function() {
	$results = DB::select( DB::raw('SHOW VARIABLES LIKE "%version%"') );
	foreach($results as $result) {
		echo '<p><strong>' . $result->Variable_name . ':</strong> ' . $result->Value . '</p>';
	}
});



/**
 * Guest Routes
 */
Auth::routes(['verify' => true]);

// Membership level
Route::get('/membership-level/{parentId}', [AccountController::class, 'membershipLevels'])->name('membership-level');

// Become a Presenter
Route::get('become-a-presenter', [RegisterController::class, 'showRegistrationFormPresenter'])->name('become-a-presenter');
Route::post('become-a-presenter', [RegisterController::class, 'registerPresenter'])->name('become-a-presenter');

/**
 * Auth Route
 */

Route::group(['middleware' => ['auth', 'is_active']], function() {
	/**
	 * Account - Index
	 */
	Route::get('/account', [AccountController::class, 'index'])->name('account');

	// Change Password
	Route::post('/change-password', [AccountController::class, 'changePassword'])->name('changePassword');

	// Change Email
	Route::post('/change-email', [AccountController::class, 'changeEmail'])->name('changeEmail');

	// Update Basic Information
	Route::post('/update-basic-info', [AccountController::class, 'updateBasicInformation'])->name('updateBasicInfo');
	Route::post('/institution-info', [AccountController::class, 'institutionInfo'])->name('institutionInfo');

	// Crop & Image Upload
	Route::post('crop-image/{guard}', [CropImageController::class, 'cropImage'])->name('crop_image');
	Route::post('upload-image/{guard}', [CropImageController::class, 'uploadImage'])->name('upload_image');

	/**
	 * Subscription - Required
	 */
	Route::get('/subscription-required', function() {
		if ( auth()->user()->subscribed('default') ) {
			return redirect('/');
		}
		$pageConfigs = [
			'pageHeader' => false,
			'showMenu' => false,
			'mainLayoutType' => 'subscriber'
		];
		return view('content.subscriber.subscription', compact('pageConfigs'));
	})->name('subscription-required');

	/**
	 * Subscribe to newsletter
	 */
	Route::post('subscribe-to-newsletter', [AccountController::class, 'subscribeToNewsletter'])->name('subscribe-newsletter');
});


/**
 * Super Admin, Admin, Presenter Routes - Common routes
 */
Route::group(['prefix' => 'app', 'middleware' => ['auth', 'is_active', 'role:super_admin|admin|presenter']], function () {
	Route::get('live/event/{id}', [LiveEventController::class, 'index'])->name('live.event.index');
});

/**
 * Super Admin & Admin Routes - Common routes
 */
Route::group(['prefix' => 'app', 'middleware' => ['auth', 'is_active', 'role:super_admin|admin']], function () {
	// Events Section
	Route::get('manage/event/{id}/restore', [EventController::class, 'restore'])->name('events.restore');
	Route::resource('manage/events', EventController::class);

	// Videos Section
	Route::get('manage/video/{id}/restore', [VideoController::class, 'restore'])->name('videos.restore');
	Route::resource('manage/videos', VideoController::class);
});

/**
 * Super Admin, Admin, Presenter Routes - Common routes
 */
Route::group(['prefix' => 'app', 'middleware' => ['auth', 'is_active', 'role:super_admin|admin|presenter']], function () {
	// Agora Cloud Recording
	Route::post('event-recording/{id}/agora/start/call', [AgoraRecordingController::class, 'startRecording'])->name('agora.recording.start-call');
	Route::post('event-recording/{id}/agora/stop/call', [AgoraRecordingController::class, 'stopRecording'])->name('agora.recording.stop-call');
	Route::get('recording-status', [AgoraRecordingController::class, 'status'])->name('agora.recording-status');
});


/**
 * Super Admin Routes
 */
Route::group(['prefix' => 'super-admin', 'middleware' => ['auth', 'role:super_admin']], function() {
	Route::get('/', [DashboardController::class, 'superAdmin'])->name('super-admin.home');

	// Admins section
	Route::get('admin/{id}/restore', [AdminController::class, 'restore'])->name('admins.restore');
	Route::resource('admins', AdminController::class);

	// Presenters Section
	Route::get('presenter/{id}/restore', [PresenterController::class, 'restore'])->name('presenters.restore');
	Route::resource('presenters', PresenterController::class);

	// Subscriber Section
	Route::get('user/{id}/restore', [SubscriberController::class, 'restore'])->name('users.restore');
	Route::resource('users', SubscriberController::class);

	// User Activites section
	Route::get('user-activities', [ActivityController::class, 'index'])->name('super-admin.user_activities');
	Route::get('user-activities/show/{id}', [ActivityController::class, 'show'])->name('super-admin.user_activities.show');

	Route::get('/users-list', [UserController:: class, 'getUsers'])->name('users.get');
});


/**
 * Admin Routes
 */
Route::group(['prefix' => 'admin', 'middleware' => ['auth', 'is_active', 'role:admin'], 'name' => 'admin'], function() {
	Route::get('/', [EventController::class, 'index'])->name('home');
});


/**
 * Presenter Routes
 */
Route::group(['middleware' => ['auth', 'is_approved', 'role:presenter'], 'prefix' => 'presenter'], function () {
	Route::get('events', [PresenterEventController::class, 'index'])->name('presenter.events.index');
	Route::get('event/{id}', [PresenterEventController::class, 'show'])->name('presenter.events.show');
});


/**
 * Subscriber Route - Inactive
 */
Route::group([ 'middleware' => ['auth', 'verified', 'role:super_admin|subscriber|presenter|admin'] ], function() {
	/**
	 * Setup Subscription
	 */
	Route::get('/setup', [AccountController::class, 'setup'])->name('subscriber.setup');
	Route::post('/setup', [AccountController::class, 'setup'])->name('subscriber.setup');
	
	/**
	 * Apply for Presenter - from Subscriber Dashboard
	 */   
	Route::get('apply-as-presenter', [AccountController::class, 'applyAsPresenter'])->name('apply.presenter');
	Route::post('apply-as-presenter', [AccountController::class, 'applyAsPresenter'])->name('apply.presenter');

	/**
	 * Account pending - Presenter
	 */
	Route::get('/account-pending', [AccountController::class, 'pendingAccount'])->name('user.account-pending');
});



/**
 * Subscriber - Active
 * Super Admin can also access 
 */
Route::group(['middleware' => ['auth', 'verified', 'is_active', 'subscribed', 'role:super_admin|admin|subscriber|presenter' ]], function() {
	/**
	 * Home Page
	 */
	Route::get('/', [DashboardController::class, 'index'])->name('home');

	// Events
	Route::get('/events', [SubscriberEventController::class, 'index'])->name('subscriber.events.index');
	Route::get('/event/{id}', [SubscriberEventController::class, 'show'])->name('subscriber.events.show');

	// Videos
	Route::get('/videos', [SubscriberVideoController::class, 'index'])->name('subscriber.videos.index');
	Route::get('/video/{id}', [SubscriberVideoController::class, 'show'])->name('subscriber.videos.show');

	// Playlist - handles Request Reminders
	Route::resource('/playlist', PlaylistController::class);
});

 	





























































Route::get('/home-v1', function() {
	$pageConfigs = [
		'showMenu' => false
	];

	return view('layouts/subscriberLayout', compact('pageConfigs'));
});

app/Http/Controllers/DashboardController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Video;
use App\Event;

class DashboardController extends Controller
{	
	public function superAdmin()
	{
		$pageConfigs = ['pageHeader' => false];

		$stats['admins_count'] = User::role('admin')->count();
		$stats['presenters_count'] = User::role('presenter')->count();
		$stats['subscribers_count'] = User::role('subscriber')->count();
		$stats['events_count'] = Event::count();
		$stats['videos_count'] = Video::count();

		return view('/content/dashboard/super_admin', ['pageConfigs' => $pageConfigs, 'stats' => $stats]);
	}

	public function admin()
	{
		$pageConfigs = ['pageHeader' => false];

		$stats['admins_count'] = User::role('admin')->count();
		$stats['presenters_count'] = User::role('presenter')->count();
		$stats['subscribers_count'] = User::role('subscriber')->count();
		$stats['events_count'] = Event::count();
		$stats['videos_count'] = Video::count();

		return view('/content/dashboard/admin', ['pageConfigs' => $pageConfigs, 'stats' => $stats]);
	}

	public function presenter()
	{

	}


	public function index()
	{
		$pageConfigs = [
			'pageHeader' => false,
			'showMenu' => false,
			'mainLayoutType' => 'subscriber'
		];

		if (
			( auth()->user()->hasRole('presenter') && auth()->user()->hasRole('subscriber') )
			||
			auth()->user()->hasRole('subscriber') 
			||
			auth()->user()->hasRole('super_admin')
			||
			auth()->user()->hasRole('admin')
		) {

			$events = Event::where('status', 'publish')
				->orderBy('start_date_time', 'asc')
				// ->where('start_date_time', '>=', date('Y-m-d H:i:s'))
				->limit(6)->get();

			$videos = Video::where('status', 'publish')
				->limit(8)->get();
			
			return view('/content/dashboard/subscriber', [
				'pageConfigs' => $pageConfigs, 'mainLayoutType' => 'subscriber', 
				'events' => $events,
				'videos' => $videos
			]);
		} else if (auth()->user()->hasRole('presenter')) {

			return redirect(route('presenter.events.index'));
			
		} else {
			
			abort(403, "Access Denied");

		}
	}
}

resources/views/content/dashboard/admin.blade.php
@extends('layouts/contentLayoutMaster')

@section('title', 'Dashboard')

@section('content')
<!-- Dashboard Ecommerce Starts -->
<section id="dashboard-ecommerce">
  <div class="row match-height">

    <!-- Statistics Card -->
    <div class="col-xl-10 col-md-6 col-12">
      <div class="card card-statistics">
        <div class="card-header">
          <h4 class="card-title">Statistics</h4>
        </div>
        <div class="card-body statistics-body">
          <div class="row">
            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-xl-0">
              <a href="{{ route('admins.index') }}">
                <div class="media">
                  <div class="avatar bg-light-primary mr-2">
                    <div class="avatar-content">
                      <i data-feather="users" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['admins_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Admins</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-xl-0">
              <a href="{{ route('presenters.index') }}">
                <div class="media">
                  <div class="avatar bg-light-info mr-2">
                    <div class="avatar-content">
                      <i data-feather="users" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['presenters_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Presenters</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-sm-0">
              <a href="{{ route('users.index') }}">
                <div class="media">
                  <div class="avatar bg-light-danger mr-2">
                    <div class="avatar-content">
                      <i data-feather="users" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['subscribers_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Subscribers</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12">
              <a href="{{ route('events.index') }}">
                <div class="media">
                  <div class="avatar bg-light-success mr-2">
                    <div class="avatar-content">
                      <i data-feather="calendar" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['events_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Events</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12">
              <a href="{{ route('videos.index') }}">
                <div class="media">
                  <div class="avatar bg-light-success mr-2">
                    <div class="avatar-content">
                      <i data-feather='video' class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['videos_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Videos</p>
                  </div>
                </div>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/ Statistics Card -->
  </div>
</section>
<!-- Dashboard Ecommerce ends -->
@endsection


@section('page-script')
  {{-- Page js files --}}
@endsection

resources/views/content/dashboard/presenter.blade.php
@extends('layouts/contentLayoutMaster')

@section('title', 'Dashboard')

@section('content')
<!-- Dashboard Ecommerce Starts -->
<section id="dashboard-ecommerce">
  <div class="row match-height">

    @if( auth()->user()->subscribed('default') ) 
      <div class="col-xl-10 col-md-6 col-12">
        <div class="card card-statistics">
          <div class="card-header">
            <h4 class="card-title">Welcome {{ auth()->user()->fullName() }}</h4>
          </div>
          <div class="card-body statistics-body">
            <div class="row">
              <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-xl-0">
                <div class="media">
                  <div class="avatar bg-light-primary mr-2">
                    <div class="avatar-content">
                      <i data-feather="user" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <a href="{{ route('account') }}">
                        <h4 class="font-weight-bolder mb-0">Account</h4>
                        <p class="card-text font-small-3 mb-0">View</p>
                    </a>
                  </div>
                </div>
              </div>
              
            </div>
          </div>
        </div>
      </div>
    @else
        <div class="row w-100">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <p>You have not subscribed to {{ config('app.name') }}</p>
                        <a href="{{ route('subscriber.setup') }}">Click Here</a> to become a subscriber.
                    </div>
                </div>
            </div>
        </div>
    @endif
  </div>
</section>
<!-- Dashboard Ecommerce ends -->
@endsection


@section('page-script')
  {{-- Page js files --}}
@endsection

resources/views/content/dashboard/subscriber.blade.php
@extends('layouts/contentLayoutMaster')

@section('title', 'Home')

@section('page-style')
    <link rel="stylesheet" href="{{ asset('plugins/owl_carousel/css/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('plugins/owl_carousel/css/owl.theme.default.min.css') }}">
@endsection

@section('content')
    @if (auth()->user()->subscribed('default') ||
        1)
        <div class="event-main">
            <div class="section-inner">
                <div class="home-event-sec">
                    <div class="event-head-main">
                        <h2>Upcoming Presentations</h2>
                        <ul class="arrow-icons-list">
                            <li><a data-type="event" href="javascript:void();" data-direction="prev" class="left-icon owl-custom-nav"></a>
                            </li>
                            <li><a data-type="event" href="javascript:void();" data-direction="next" class="right-icon owl-custom-nav"></a>
                            </li>
                        </ul>
                        <form action="{{ route('subscriber.events.index') }}">
                            <div class="subject-main">
                                <input required type="search" name="s" value="{{ request()->get('s') }}"
                                    placeholder="Enter Keyword..." class='form-control keyword-input'>
                                <input type="submit" value="search" />
                            </div>
                        </form>
                    </div>
                    <div class="event-content-sec">
                        <div class="events-list row owl-carousel owl-theme owl-upcoming-events w-100">
                            @forelse ($events as $event)
                                <x-event :event="$event" />
                            @empty
                                <h1 class="empty-events text-center text-dark">No Presentations yet.</h1>
                            @endforelse
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @if($events->count() != 0)
            <div class="row my-2">
                <div class="col-12 text-center">
                    <a href="{{ route('subscriber.events.index') }}" class="btn btn-primary btn-lg">Show All</a>
                </div>
            </div>
        @endif
        <div class="feat-subcibe-main">
            <div class="section-inner">
                <div class="home-event-sec feat-video-sec">
                    <div class="event-head-main feat-video-main">
                        <h2>Recent Videos</h2>
                        <ul class="arrow-icons-list">
                            <li><a href="javascript:void();" data-type="video" data-direction="prev" class="left-icon owl-custom-nav"></a>
                            </li>
                            <li><a href="javascript:void();" data-type="video" data-direction="next" class="right-icon owl-custom-nav"></a>
                            </li>
                        </ul>
                        <form action="{{ route('subscriber.videos.index') }}">
                            <div class="subject-main">
                                <input required type="search" name="s" value="{{ request()->get('s') }}"
                                    placeholder="Enter Keyword..." class='form-control keyword-input'>
                                <input type="submit" value="search" />
                            </div>
                        </form>
                    </div>
                    <div class="event-content-sec feat-video-content-sec">
                        <div class="videos-list row owl-carousel owl-theme owl-recent-videos w-100">
                            @forelse ($videos as $video)
                                <x-video :video="$video" />
                            @empty
                                <h1 class="empty-video text-center text-dark">No Videos yet.</h1>
                            @endforelse
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @if($videos->count() != 0)
            <div class="row my-2 show-all-button">
                <div class="col-12 text-center">
                    <a href="{{ route('subscriber.videos.index') }}" class="btn btn-primary btn-lg">Show All</a>
                </div>
            </div>
        @endif
    @else
        <div class="card ">
            <div class="card-header">
                <h4 class="card-title">Welcome {{ auth()->user()->fullName() }}</h4>
            </div>
            <div class="card-body ">

                <div class="row">
                    <div class="col-12">
                        You have not subscribed to {{ config('app.name') }}. <a
                            href="{{ route('subscriber.setup') }}">Click Here</a> to get started.
                    </div>
                </div>

                @if (!auth()->user()->hasRole('presenter'))
                    <div class="row mt-1">
                        <div class="col-12">
                            Interested in presenting? <a href="{{ route('apply.presenter') }}">Start Here</a>
                        </div>
                    </div>
                @else
                    <div class="row mt-1">
                        <div class="col-12">
                            <a href="{{ route('presenter.events.index') }}">Click Here</a> to access your Presenter
                            Dashboard
                        </div>
                    </div>
                @endif

            </div>
        </div>
    @endif
    
@endsection


@section('page-script')
    {{-- Page js files --}}
    <script src="{{ asset('plugins/owl_carousel/js/owl.carousel.min.js') }}"></script>
    <script>
        $(document).ready(function() {
            let upcomingEventsOwl = $('.owl-upcoming-events').owlCarousel({
                loop: false,
                margin: 30,
                nav: false,
                center: $(".empty-events").length ? true : false,
                responsive: {
                    0: {
                        items: 1
                    },
                    600: {
                        items: 3
                    },
                    1000: {
                        items: 3
                    }
                }
            });

            let upcomingRecentVideo = $('.owl-recent-videos').owlCarousel({
                loop: false,
                margin: 20,
                nav: false,
                center: $(".empty-videos").length ? true : false,
                responsive: {
                    0: {
                        items: 1
                    },
                    600: {
                        items: 4
                    },
                    1000: {
                        items: 4
                    }
                }
            });

            $(".owl-custom-nav").on("click", function() {
                let direction = $(this).data('direction');
                switch($(this).data('type')) {
                  case 'event':
                    upcomingEventsOwl.trigger(`${direction}.owl.carousel`);
                    break;
                    
                  case 'video':
                    upcomingRecentVideo.trigger(`${direction}.owl.carousel`);
                    break;
                }
            });

        });

    </script>
@endsection

resources/views/content/dashboard/super_admin.blade.php
@extends('layouts/contentLayoutMaster')

@section('title', 'Dashboard')

@section('content')
<!-- Dashboard Ecommerce Starts -->
<section id="dashboard-ecommerce">
  <div class="row match-height">

    <!-- Statistics Card -->
    <div class="col-xl-10 col-md-6 col-12">
      <div class="card card-statistics">
        <div class="card-header">
          <h4 class="card-title">Statistics</h4>
        </div>
        <div class="card-body statistics-body">
          <div class="row">
            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-xl-0">
              <a href="{{ route('admins.index') }}">
                <div class="media">
                  <div class="avatar bg-light-primary mr-2">
                    <div class="avatar-content">
                      <i data-feather="users" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['admins_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Admins</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-xl-0">
              <a href="{{ route('presenters.index') }}">
                <div class="media">
                  <div class="avatar bg-light-info mr-2">
                    <div class="avatar-content">
                      <i data-feather="users" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['presenters_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Presenters</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12 mb-2 mb-sm-0">
              <a href="{{ route('users.index') }}">
                <div class="media">
                  <div class="avatar bg-light-danger mr-2">
                    <div class="avatar-content">
                      <i data-feather="users" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['subscribers_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Subscribers</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12">
              <a href="{{ route('events.index') }}">
                <div class="media">
                  <div class="avatar bg-light-success mr-2">
                    <div class="avatar-content">
                      <i data-feather="calendar" class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['events_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Events</p>
                  </div>
                </div>
              </a>
            </div>
            <div class="col-xl-2 col-sm-6 col-12">
              <a href="{{ route('videos.index') }}">
                <div class="media">
                  <div class="avatar bg-light-success mr-2">
                    <div class="avatar-content">
                      <i data-feather='video' class="avatar-icon"></i>
                    </div>
                  </div>
                  <div class="media-body my-auto">
                    <h4 class="font-weight-bolder mb-0">{{ $stats['videos_count'] }}</h4>
                    <p class="card-text font-small-3 mb-0">Videos</p>
                  </div>
                </div>
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--/ Statistics Card -->
  </div>
</section>
<!-- Dashboard Ecommerce ends -->
@endsection


@section('page-script')
  {{-- Page js files --}}
@endsection